// u-boot command uses extra devices of MSP-EXP432E401Y LaunchPad
#ifdef UBOOTCMD
/*
 * Copyright (c) 2017-2018, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#ifndef __BOARD_UBOOTCMD_H
#define __BOARD_UBOOTCMD_H

#include "Board.h"

// extra devices of MSP-EXP432E401Y LaunchPad
#ifdef __cplusplus
extern "C" {
#endif

// ADC1
//#define Board_ADCBUF0               MSP_EXP432E401Y_ADCBUF0
#define Board_ADCBUF1               MSP_EXP432E401Y_ADCBUF1

// UART6, UART7
//#define Board_UART0                 MSP_EXP432E401Y_UART0
//#define Board_UART2                 MSP_EXP432E401Y_UART2
#define Board_UART6                 MSP_EXP432E401Y_UART6
#define Board_UART7                 MSP_EXP432E401Y_UART7

// USB
#define Board_initUSB               MSP_EXP432E401Y_initUSB
#define Board_initUSBMSCHFatFs      MSP_EXP432E401Y_initUSBMSCHFatFs
#define Board_USBMSCHFatFs0         MSP_EXP432E401Y_USBMSCHFatFs0
#define Board_USBHOST               MSP_EXP432E401Y_USBHOST
#define Board_USBDEVICE             MSP_EXP432E401Y_USBDEVICE
#define Board_USBULPI               MSP_EXP432E401Y_USBULPI


#ifdef __cplusplus
}
#endif

#endif /* __BOARD_UBOOTCMD_H */

#endif //UBOOTCMD
