/*
 * ti_rtos_io.h
 *
 *  Created on: 2018/11/19
 *      Author: miyake
 */

#ifndef _TI_RTOS_IO_H_
#define _TI_RTOS_IO_H_

#include "config.h"
#include "linux/types.h"

#ifdef TI_RTOS
#include "uart6.h"
#define putc	ti_rtos_putc
#define puts	ti_rtos_puts
#define printf	ti_rtos_printf
#define getc	ti_rtos_getc
#define tstc	ti_rtos_tstc
#define ConPrintf	ti_rtos_printf
#define ConPrintIPN	ti_rtos_printIPN
#define gethostbyname ti_rtos_gethostbyname
#define gethostbyaddr ti_rtos_gethostbyaddr

void uboot_init(void);

int ti_rtos_adc_single(const int adcbuf_mod, const int adcbuf_ch, unsigned long* uVp);

int onchip_eeprom_size(void);

void ti_rtos_printIPN( unsigned long ); //uint32_t IPAddr );
struct hostent* ti_rtos_gethostbyname(const char* name);
struct hostent* ti_rtos_gethostbyaddr(const void* ipaddrp, int/*socklen_t*/ len, int type);
const char* get_eth_info(const char* attr);

int ti_rtos_putc(const int c);
int ti_rtos_puts(const char* s);
int ti_rtos_printf(const char* fmt, ...);
int ti_rtos_getc(void);
int ti_rtos_tstc(void);
//
//unsigned long get_timer(unsigned long base);    // conflict in net.h
ulong get_timer(ulong base);

#ifdef CONFIG_CMD_GPIO
int name_to_gpio(const char *name);
// asm/gpio.h
int gpio_request(unsigned gpio, const char *label);
int gpio_free(unsigned gpio);
int gpio_direction_input(unsigned gpio);
int gpio_direction_output(unsigned gpio, int value);
int gpio_get_value(unsigned gpio);
int gpio_set_value(unsigned gpio, int value);
#endif //CONFIG_CMD_GPIO

// udevice for TI-RTOS
#include "dm/uclass-id.h"	// u-boot header
enum boardDevType_t {
	Board_None=0,
	Board_ADC=1,
	Board_SPI,
	Board_I2c,
	Board_PWM,
	Board_MMC,
	Board_Ether,
};
struct udevice {
	// distinct device by name or id
	const char *name;	// device name
	const int id;	// device id
	// actual device type and id (Board.h)
	const int board_dev_type;	// enum boardDevType_t
	const int board_dev_id;		// enum MSP_EXP432E401Y_ADCBuf0ChannelName, ...
};
int _uclass_find_device_by_id(int index, struct udevice **devp);
int uclass_get_device(enum uclass_id id, int index, struct udevice **devp);
int uclass_get_device_by_name(enum uclass_id id, const char *name,
            			      struct udevice **devp);
int uclass_first_device_err(enum uclass_id id, struct udevice **devp);
int uclass_next_device(struct udevice **devp);


#endif //TI_RTOS


#endif /* _TI_RTOS_IO_H_ */
