/*
 * config_defaults.h - sane defaults for everyone
 *
 * Copyright (c) 2009 Analog Devices Inc.
 *
 * Licensed under the GPL-2 or later.
 */

#ifndef _CONFIG_H_
#define _CONFIG_H_

/* Support bootm-ing different OSes */
/*
#define CONFIG_BOOTM_LINUX 1
#define CONFIG_BOOTM_NETBSD 1
#define CONFIG_BOOTM_PLAN9 1
#define CONFIG_BOOTM_RTEMS 1
#define CONFIG_BOOTM_VXWORKS 1
*/

#define CONFIG_GZIP 1
#define CONFIG_ZLIB 1



#define __HAVE_ARCH_STRCPY
#define __HAVE_ARCH_STRNCPY
//#define __HAVE_ARCH_STRLCPY
#define __HAVE_ARCH_STRCAT
#define __HAVE_ARCH_STRNCAT
#define __HAVE_ARCH_STRCMP
#define __HAVE_ARCH_STRNCMP
#define __HAVE_ARCH_STRCASECMP
#define __HAVE_ARCH_STRNCASECMP
#define __HAVE_ARCH_STRCHR
#define __HAVE_ARCH_STRCHR
#define __HAVE_ARCH_STRRCHR
#define __HAVE_ARCH_STRSTR
#define __HAVE_ARCH_STRLEN
#define __HAVE_ARCH_STRNLEN
#define __HAVE_ARCH_STRCSPN
#define __HAVE_ARCH_STRDUP
#define __HAVE_ARCH_STRSWAB
#define __HAVE_ARCH_MEMSET
#define __HAVE_ARCH_MEMCPY
#define __HAVE_ARCH_MEMMOVE
#define __HAVE_ARCH_MEMSCAN
#define __HAVE_ARCH_MEMCMP
#define __HAVE_ARCH_MEMCHR
#define __HAVE_ARCH_MEMCHR_INV

#define __weak
#define notrace
#define __force
#define __maybe_unused
//#define __always_inline	inline

#include "Board.h"
#include <linux/kconfig.h>

#define CONFIG_ARM	1

//#define CONFIG_SYS_HZ	1000	// tick=1ms
#define CONFIG_SYS_HZ	(1000000UL/Clock_tickPeriod)	// is tick Hz
#define CONFIG_SYS_TIMER_RATE	(CONFIG_SYS_HZ)	// is tick rate (Hz)

#define CONFIG_SYS_FLASH_BASE	FLASH_BASE
#define CONFIG_SYS_FLASH_SIZE	(1024*1024)	// 1MB

#define CONFIG_SYS_SRAM_BASE	SRAM_BASE
#define CONFIG_SYS_SRAM_SIZE	(256*1024)	// 256KB

#define	CONFIG_BAUDRATE	115200	// 115200bps


//#define DO_DEPS_ONLY	1
#define CONFIG_ENV_SIZE	512
#define CONFIG_ENV_IS_NOWHERE	1

#define CONFIG_LOGLEVEL	9
#define CONFIG_PANIC_HANG	1

// comand line edit
#define CONFIG_HUSH_PARSER	1
#define CONFIG_CMDLINE_PS_SUPPORT	1
#define CONFIG_CMDLINE	1
#define CONFIG_CMDLINE_EDITING	1
#define CONFIG_AUTO_COMPLETE	1
#define CONFIG_SYS_LONGHELP	1

//#define CONFIG_SYS_PROMPT	"MSP432-RTOS # "
#define CONFIG_SYS_PROMPT	"=> "

/* Console I/O Buffer Size */
#ifndef CONFIG_SYS_CBSIZE
#if defined(CONFIG_CMD_KGDB)
#define CONFIG_SYS_CBSIZE	1024
#else
#define CONFIG_SYS_CBSIZE	256
#endif
#endif

#ifndef CONFIG_SYS_PBSIZE
#define CONFIG_SYS_PBSIZE	(CONFIG_SYS_CBSIZE + sizeof(CONFIG_SYS_PROMPT) + 16)
#endif

#ifndef CONFIG_SYS_MAXARGS
#define CONFIG_SYS_MAXARGS	16
#endif

// cache (no cache)
#define CONFIG_SYS_CACHELINE_SIZE	1
// uDMA must be aligend 1024byte
//#define	ARCH_DMA_MINALIGN	1 //1024	<- defined as CONFIG_SYS_CACHELINE_SIZE in asm/cache.h

//
#define CONFIG_CMD_RUN	1
// mem related cmd
#define CONFIG_CMD_MEMORY	1
#define CONFIG_CMD_MEMTEST	1
#ifdef CONFIG_CMD_MEMTEST
# define CONFIG_SYS_MEMTEST_START	(CONFIG_SYS_MEMTEST_END-2048)	//(__stack-2048)
# define CONFIG_SYS_MEMTEST_END		0x2003fc00	//__stack
#endif //CONFIG_CMD_MEMTEST
//
#define CONFIG_CMD_GETTIME	1
#define CONFIG_CMD_ECHO	1
// load
// all commands not work.
#define CONFIG_CMD_LOADB	1
#define CONFIG_CMD_LOADS	1
//#define CONFIG_CMD_SAVES	1
#define CONFIG_SYS_LOAD_ADDR	0x2003A000	// ram:0x20000000-0x2003FFFF
// time
#define CONFIG_CMD_TIME	1
// led
#define CONFIG_LED_STATUS	1
#define CONFIG_LED_STATUS_CMD	1	// leagcy_led.c
# define CONFIG_LED_STATUS_BOARD_SPECIFIC	1
# define CONFIG_LED_STATUS0	1
# define CONFIG_LED_STATUS1	1
//# define CONFIG_LED_STATUS2	1
//# define CONFIG_LED_STATUS3	1
# define CONFIG_LED_STATUS_BIT	(1<<0)
# define CONFIG_LED_STATUS_BIT1	(1<<1)
# define CONFIG_LED_STATUS_BIT2	(1<<2)
# define CONFIG_LED_STATUS_BIT3	(1<<3)
# define CONFIG_LED_STATUS_ON	Board_GPIO_LED_ON
# define CONFIG_LED_STATUS_OFF	Board_GPIO_LED_OFF
// gpio
#define CONFIG_CMD_GPIO	1
// adc
#define CONFIG_CMD_ADC	1
// i2c
//#define CONFIG_SYS_I2C	1
#define CONFIG_CMD_I2C	1
#define CONFIG_I2C_MULTI_BUS	1
#define CONFIG_SYS_I2C_SPEED	(100*1000U)	// 100kHz
// eeprom (but not use i2c)
#define CONFIG_CMD_EEPROM	1
#define CONFIG_SYS_I2C_EEPROM_ADDR_LEN	2
#define CONFIG_SYS_MSP432_EEPROM	1	// TI_RTOS original
// flash (internal flash)
#define CONFIG_CMD_FLASH	1
#define CONFIG_SYS_MSP432_FLASH	1	// TI_RTOS original
#define CONFIG_SYS_MAX_FLASH_BANKS	1
#define CONFIG_SYS_FLASH_PROTECTION	1
#define CONFIG_MTD_NOR_FLASH	1	// is NOR flash
// spi
#define CONFIG_CMD_SPI	1
// usb  (about 30KB)
#define CONFIG_CMD_USB	1
#define CONFIG_USB_STORAGE	1
#define CONFIG_HAVE_BLOCK_DEVICE	1
#define CONFIG_USB_BIN_FIXUP	1
//#define CONFIG_USB_KEYBOARD	1
// block device partition
#define CONFIG_PARTITIONS	1
#define CONFIG_DOS_PARTITION	1
// usb,flash
#define CONFIG_CMD_FAT	1
//#define CONFIG_FAT_WRITE	1
#define CONFIG_FS_FAT	1
#define CONFIG_FS_FAT_MAX_CLUSTSIZE	(32*1024)
// itest
#define CONFIG_CMD_ITEST	1
// net
#define CONFIG_NET		1
#define CONFIG_CMD_NET	1	// when 1 if some of network command is defined.
#define CONFIG_CMD_PING	1
#define CONFIG_CMD_DNS	1
#define CONFIG_CMD_SNTP	1
#define CONFIG_TIMESTAMP	1	// display time for SNTP
// tftpget not work. socket error.
#define CONFIG_CMD_TFTPGET	1	// TI_RTOS original

// bdinfo
#define CONFIG_CMD_BDI	1
// sleep
#define CONFIG_CMD_MISC	1

#endif
